package com.jeeplus.finance.invoice.domain.OMS.InvoiceDown;
import org.hibernate.validator.constraints.NotBlank;

/**
 * 共同购买方集合实体类
 * 用于发票中多方共同购买商品/服务的信息
 */
public class OMSDownJointBuyer {
    /**
     * 行号
     * 必填，5个字节
     */
    @NotBlank(message = "行号lineCode不能为空")
    private String lineCode;

    /**
     * 共同购买方名称
     * 必填，100个字节
     */
    @NotBlank(message = "共同购买方名称buyerName不能为空")
    private String buyerName;

    /**
     * 共同购买方证件类型
     * 必填，3个字节，详见附录3证件类型代码表
     */
    @NotBlank(message = "共同购买方证件类型idCardType不能为空")
    private String idCardType;

    /**
     * 共同购买方证件号码
     * 必填，29个字节
     */
    @NotBlank(message = "共同购买方证件号码idCardNo不能为空")
    private String idCardNo;

    public String getLineCode() {
        return lineCode;
    }

    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getIdCardType() {
        return idCardType;
    }

    public void setIdCardType(String idCardType) {
        this.idCardType = idCardType;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }
}
